#pragma once //microsoft-specific

#include <vector>
#include "Globals.h" // FontSize

/**
 * Base class for pre-set screens.
 *
 * Extend this class and implement a Draw-function for each screen made
 */
class BaseScreen
{
public:
								BaseScreen();
	virtual						~BaseScreen();
	virtual void				Draw() = 0; // to be implemented per subscreen

protected:

	// Shows text on screen with the given configuration
	void						DrawTextsOnScreen(std::vector<const char*>& textsRef, FontSize fontSize, float startPosY, float marginToNext);

};

