#pragma once //microsoft-specific

#include "RoundEntity.h"

class Galaxy; // cross reference, making forward declaration

/**
 * Represents bonus life that player can intersect and gain life from. 
 * Owned by galaxy.
 * Spawns by itself in its update function
 * Gets a countdown counter and appears on random point on the screen where there is no rock.
 * Starts to blink when short time remain until it disappears.
 **/
class BonusLife :
	public RoundEntity
{
public:
								BonusLife(const Galaxy& galaxyRef);
								~BonusLife();
	void						Update(float elapsedTime);
	void						ResetBeforeLevel();
	void						Draw();

private:
	// Makes sure the BonusLife spawns on random place and initially not on a Rock so that player can see it
	// Overloading and wrapping base class function
	void						TrySpawn();

	float						m_aliveCounter;
	float						m_lastCounterMark;
};
