#include "CreditScreen.h"
#include "GraphicsSystem.h"
#include "CreditText.h"
#include "AssertButOnlyInDebug.h"

CreditScreen::CreditScreen()
{
	m_header.push_back("Credits");
	
	assert(creditsText[0] && "Cannot find creditText");
	short size = sizeof(creditsText)/sizeof(creditsText[0]);
	m_texts.reserve(size); // linear complexity if reallocation is necessary. Make container "perfect fit" and don't use more memory than needed.
	m_texts.insert(m_texts.begin(), creditsText, creditsText+size); // inserting range instead of pushing back gives STL a chance to optimize
}


CreditScreen::~CreditScreen()
{
	m_texts.clear(); 
	m_texts.shrink_to_fit(); // c++11, non-binding request
}
void CreditScreen::Draw()
{
	GraphicsSystem::GetSingleton()->ClearScreenBufferWithBlack();

	DrawTextsOnScreen(m_header, FONT_SIZE_BIG, 50.0f, 0.0f);
	
	DrawTextsOnScreen(m_texts, FONT_SIZE_SMALL, 130.0f, 20.0f);

	FadingTextScreen::DrawFadingText();

	GraphicsSystem::GetSingleton()->ShowBufferedScreenOnDisplay();
}
