#include "Entity.h"
#include "ImageSprite.h"

Entity::Entity(ImageSprite& imgSpriteRef):
m_imgSpriteRef(imgSpriteRef)
{
	m_posX = 0.0f;
	m_posY = 0.0f;
	m_opacity = 1.0f;
}

Entity::~Entity()
{
}


void Entity::Draw()
{
	m_imgSpriteRef.SetScreenX( (GLfloat) m_posX);
	m_imgSpriteRef.SetScreenY( (GLfloat) m_posY);
	m_imgSpriteRef.SetOpacity( (GLfloat) m_opacity); 
	m_imgSpriteRef.Draw(); 
}

float Entity::GetPositionX() const
{ 
	return m_posX; 
} 
float Entity::GetPositionY() const
{ 
	return m_posY; 
}
int Entity::GetWidth() const
{ 
	return m_imgSpriteRef.GetWidth(); 
}
int Entity::GetHeight() const 
{ 
	return m_imgSpriteRef.GetHeight(); 
}
float Entity::GetCenterX() const
{ 
	return (GetPositionX() + (float)GetWidth() / 2.0f); 
}
float Entity::GetCenterY() const
{ 
	return (GetPositionY() + (float)GetHeight() / 2.0f); 
}
void Entity::SetWidth(int width) 
{ 
	m_imgSpriteRef.SetWidth(width); 
}
void Entity::SetHeight(int height) 
{ 
	m_imgSpriteRef.SetHeight(height); 
}
void Entity::SetPositionX(float positionX) 
{ 
	m_posX = positionX; 
} 
void Entity::SetPositionY(float positionY) 
{ 
	m_posY = positionY; 
} 
void Entity::SetOpacity(float opacity) 
{ 
	m_opacity = opacity;
} 
float Entity::GetOpacity() const
{ 
	return m_opacity; 
}
void Entity::SetRotationDegree(float rotationDegree)
{
	m_imgSpriteRef.SetRotationDegree(rotationDegree);
}