#pragma once //microsoft-specific

class ImageSprite; // forward declaration to speed up compilation

/**
 * Abstract base class for Entities. Encapsulates a imagesprite.
 * Contains functions to retrieve and set coordinates & opacity. 
 **/
class Entity
{
public:
								Entity(ImageSprite& imgSpriteRef);
	virtual						~Entity();
	virtual void				Draw();
	virtual float				GetCenterX() const;
	virtual float				GetCenterY() const;
	virtual bool				IsAlive() const = 0;

protected:
	float						GetPositionX() const;
	float						GetPositionY() const;
	int							GetWidth() const;
	int 						GetHeight() const;
	float 						GetOpacity() const;	
	void 						SetRotationDegree(float rotationDegree);
	void 						SetWidth(int width);
	void 						SetHeight(int height); 
	void 						SetPositionX(float positionX);
	void 						SetPositionY(float positionY);
	void 						SetOpacity(float opacity);


private:

	// Avoid assign of this class, it should not be used in that way
	Entity& 					operator=(const Entity& );

	ImageSprite& 				m_imgSpriteRef;
	float						m_posX;
	float						m_posY;
	float						m_opacity;
};
