#pragma once //microsoft-specific

#include "FadingText.h"

/**
 * Extends text animation class FadingText and sets text to be the music title that
 * is currently playing (if any s). Fades the text in and out at start of each level.
 * Usage: Set new music title by calling ResetBeforeLevel and then Call Draw() in loop to show.
 **/
class FadingMusicText: 
	public FadingText
{
public:
								FadingMusicText();
								~FadingMusicText();

	// Draws on screen, but only if sound is playing 
	void 						Draw();

	// Changes the music title to the one for the level passed
	void 						ResetBeforeLevel(int level);

private:
	void 						SetMusicTitle(int level);

};
