#pragma once //microsoft-specific

#include "Globals.h" // XAlignment

enum { 
	TEXT_BUFFER = 150 
};

/**
 * This class is a text animation. It fades the set text from transparent
 * to opaque and back through consecutive calls to Draw().
 * Usage: Always set the text before calling Draw.
 * For a consistent fading pace, the calls to draw must be time 
 * controlled externally since it is not connected to elapsedTime.
 * Looping texts fade in and out continously. If bIsLooping is set
 * to false, the text will only fade in once
 **/
class FadingText {
public:
								FadingText(bool bIsLooping, float posY, XAlignment xAlign);
	virtual 					~FadingText();

	// Draws the animation
	virtual void 				Draw();

	// Copies the content to local variable m_text. Not saving any reference to text
	void 						SetText(const char* text);

protected:
	// Resets animation counter to 0
	void 						Reset();

private:
	XAlignment 					m_xAlign;
	int 						m_animationCounter;	
	bool 						m_bIsLooping;
	char 						m_text[TEXT_BUFFER]; // text to be drawn
	float 						m_posY;
};