#pragma once //microsoft-specific

/**
* Constants used in multiple classes are stored here instead
* of in header files to avoid unnecessary cross-references and dependencies.
* Game is using a lot of enums instead of defines in order not to clutter the global namespace, 
* avoid potentially overwrite something in other libraries, be easier to re-scope, detect collisions
* and be able to debug.
*
* This file should not have any dependencies or compiling may be slow and potentially troublesome.
*/

enum {  
	SCREEN_WIDTH = 1024,  
	SCREEN_HEIGHT = 512,
	PADDING = 5
};
	  

enum XAlignment	// added to control pre-loaded text alignment
{
	LEFT,
	CENTER,
	RIGHT
};

enum Action 
{
	A_NONE,
	A_UP,
	A_DOWN,
	A_LEFT,
	A_RIGHT,
	A_QUIT,
	A_PLAY,
	A_FLY_V_IDLE,
	A_FLY_H_IDLE,
	A_CREDITS,
	A_DEFAULT,
	A_INSTRUCTIONS,
	A_PAUSE
};

enum FontSize 
{
	FONT_SIZE_BIG = 60,
	FONT_SIZE_MEDIUM = 40,
	FONT_SIZE_SMALL = 20
};
enum StateKey // used to keep track of game / level / program loops
{
	STATE_NONE,
	STATE_INTRO,
	STATE_MENU,
	STATE_PLAY,
	STATE_CREDITS,
	STATE_INSTRUCTIONS
};

const float GAME_SPEED = 0.05f;
