#include "HUD.h"
#include "FadingMusicText.h"
#include "Meter.h"
#include "GraphicsSystem.h"
#include "ImageConfig.h"
#include "ImageSprite.h"
#include "Globals.h" // SCREEN_HEIGHT

#define NULL 0



HUD::HUD():
m_lifeImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_WRENCH_UI))
{
	m_fadingMusicText = new FadingMusicText();
	m_meter = new Meter();	

	m_lifeImgSpritePosY = (float) SCREEN_HEIGHT - (float) m_lifeImgSpriteRef.GetHeight(); // y pos for drawing life bar

}

HUD::~HUD()
{	
	delete m_meter;
	m_meter = NULL;

	if(m_fadingMusicText!= NULL)
		delete m_fadingMusicText;

	m_fadingMusicText = NULL;

}

void HUD::ResetBeforeGame()
{
}
void HUD::ResetBeforeLevel(int level)
{
	m_meter->ResetBeforeLevel();
	m_fadingMusicText->ResetBeforeLevel(level);
}

void HUD::Update(float percentOfLevelDone)
{
	m_meter->Update(percentOfLevelDone);
}

void HUD::Draw(int numberOfLives)
{
	m_meter->Draw();
	m_fadingMusicText->Draw();

	m_lifeImgSpriteRef.SetOpacity(1.0f);
	m_lifeImgSpriteRef.SetScreenY( (GLfloat) m_lifeImgSpritePosY ); // constant y pos for drawing life bar

	// Drawing lives
	int lifeX = SCREEN_WIDTH - 2 * PADDING - m_lifeImgSpriteRef.GetWidth();  
	for (int i = 1; i < numberOfLives; i++) // only draws extra lives
	{
		m_lifeImgSpriteRef.SetScreenX((float)lifeX);
		m_lifeImgSpriteRef.Draw();
		lifeX -= ( PADDING + m_lifeImgSpriteRef.GetWidth() ); // new pos for next life
	}
}