#pragma once //microsoft-specific

// forward declaration to speed up compilation
class FadingMusicText;
class Meter;
class ImageSprite;

/**
 * Class responsible for the user interace elements seen onscreen while playing.
 */
class HUD
{
public:
								HUD();
	~HUD();

	// Sets meter and which song text will be shown
	void 						ResetBeforeLevel(int level);

	void 						ResetBeforeGame();

	// Draws the HUD
	void 						Draw(int numberOfLives);

	// Updates meter ship position according to level progress
	void 						Update(float percentOfLevelDone);

private:

	// Avoid assign of this class, it should not be used in that way
	HUD& 						operator=(const HUD& );

	Meter* 						m_meter;
	FadingMusicText*			m_fadingMusicText;
	ImageSprite&				m_lifeImgSpriteRef;
	float						m_lifeImgSpritePosY;
};

