#pragma once //microsoft-specific

#include "IIntersectableEntity.h"
/**
 * Interface representing an entity that can collide with other world entities upon intersecting them
 **/
class ICollidableEntity: 
	public IIntersectableEntity
{
public:
	// Tells if the entity can collide with rocks in its current state
	virtual bool				CanCollideWithRocks() const = 0;

	// Tells the entity that is has collided with rock and to take relevant actions
	virtual void				CollidedWithRock() = 0; 

	// Tells the entity that is has collided with a bonus life and to take relevant actions
	// The bonus life is not notified through this function, but should be in the calling function
	virtual void				CollidedWithBonusLife() = 0;
};

