#pragma once //microsoft-specific

// forward declaration to speed up compilation
class RoundEntity;

/**
* An IIntersectableEntity is one that may intersect other objects in the world.
* It does however not necessarily imply or implement that it can collide or have any reaction to the intersections.
* On this level it only checks if it is.
*/
class IIntersectableEntity
{
public:

	// Method to check if the current entity is intersecting with the parameter. 
	// Abstract, must be implemented inside inheriting classes
	virtual bool				IsIntersecting(const RoundEntity& otherRoundEntityRef) const = 0; 
};
