#pragma once //microsoft-specific

#include <vector>
#include "Globals.h" // Action

/**
 * Checks user input event queue since last input update.
 * Filters them into actions and returns list of them.
 **/
class Input
{
public:
								Input();
								~Input();

	// List of new actions, translated from filtered user input since last call
	// Remember to deallocate 
	std::vector<Action*>		GetNewActions() const;

private:
	// Avoid assign of this class, it should not be used in that way
	Input&						operator=(const Input& ); 
};
