#include "InstructionScreen.h"
#include "GraphicsSystem.h"
#include "ImageSprite.h"
#include "ImageConfig.h" // IMG_ID
#include "TextConfig.h" // TEXT_ID

const float KEYS_POS_Y = 135.0f;
const float KEYS_POS_X = 800.0f;

InstructionScreen::InstructionScreen():
m_keysImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_KEYS)),
m_lifeUiImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_WRENCH_UI)),
m_lifeGameImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_WRENCH))
{
	// not used in other part of game, texture should stay - set only once
	m_keysImgSpriteRef.SetScreenX( KEYS_POS_X );
	m_keysImgSpriteRef.SetScreenY( KEYS_POS_Y );

	m_header.push_back("Instructions");

	m_texts = GraphicsSystem::GetSingleton()->ReadTextFromFile(TEXT_ID_INSTRUCTIONS); 
}

InstructionScreen::~InstructionScreen()
{
	m_header.clear();
	// m_texts is deallocated in automatically within TextSubSystem

}

void InstructionScreen::Draw()
{
	GraphicsSystem::GetSingleton()->ClearScreenBufferWithBlack();

	// used in other part of game, texture might move - reset coordinates
	m_lifeUiImgSpriteRef.SetScreenX(  ((float) SCREEN_WIDTH) / 2 + 153.0f);
	m_lifeUiImgSpriteRef.SetScreenY( 194.0f );
	m_lifeUiImgSpriteRef.Draw();

	m_lifeGameImgSpriteRef.SetScreenX(  ((float) SCREEN_WIDTH) / 2 + 194.0f);
	m_lifeGameImgSpriteRef.SetScreenY( 240.0f );
	m_lifeGameImgSpriteRef.SetOpacity( 1.0f); 
	m_lifeGameImgSpriteRef.Draw();

	m_keysImgSpriteRef.Draw();

	DrawTextsOnScreen(m_header, FONT_SIZE_BIG, 50.0f, 0.0f);
	DrawTextsOnScreen(m_texts, FONT_SIZE_SMALL, 130.0f, 20.0f);

	FadingTextScreen::DrawFadingText();

	GraphicsSystem::GetSingleton()->ShowBufferedScreenOnDisplay();
}