#include "LevelManager.h"
#include <cstdio>
#include "Globals.h" // GAME_SPEED

enum {	
		MAX_LEVEL  = 6,
		LEVEL_COUNTER_FIRST_AND_LAST_DISTANCE = 200,
		LEVEL_COUNTER_MAX = 2400
};


LevelManager::LevelManager()
{
}

LevelManager::~LevelManager()
{
}

void LevelManager::ResetBeforeGame()
{
	m_currentLevel = 1;
}
void LevelManager::ResetBeforeLevel()
{
	m_counter = 0.0f;
}

bool LevelManager::HasReachedMaxCounter() const
{
	return m_counter >= LEVEL_COUNTER_MAX;
}

void LevelManager::IncreaseCounter(float elapsedTime)
{
	m_counter += GAME_SPEED * elapsedTime; 
}

void LevelManager::IncreaseLevel()
{
	m_currentLevel++;
}

const char* LevelManager::GetLevelText()
{
	sprintf_s(m_levelText,"Level %d", m_currentLevel); // parsing level text
	return m_levelText;
}

bool LevelManager::HasReachedMaxLevel() const
{
	return m_currentLevel >= MAX_LEVEL;
}

bool LevelManager::IsEnding() const
{
	return ( (LEVEL_COUNTER_MAX - m_counter) < LEVEL_COUNTER_FIRST_AND_LAST_DISTANCE );
}
bool LevelManager::IsStarting() const
{
	return ( m_counter < LEVEL_COUNTER_FIRST_AND_LAST_DISTANCE );
}

float LevelManager::GetPercentOfLevelDone() const
{
	return (m_counter / LEVEL_COUNTER_MAX);
}
int LevelManager::GetCurrentLevel() const
{ 
	return m_currentLevel; 
}
