#pragma once //microsoft-specific

/**
* Keeps track of the current level and provide functions to manage it.
* Can tell if the level is ending, where in the level the game is, if 
* the level has finished and if the game has been won. 
*/
class LevelManager
{
public:
								LevelManager();
								~LevelManager();
	void 						ResetBeforeLevel();
	void 						ResetBeforeGame();
	bool 						HasReachedMaxCounter() const;
	void 						IncreaseCounter(float elapsedTime);
	void 						IncreaseLevel();
	bool 						HasReachedMaxLevel() const;
	const char*					GetLevelText();
	int							GetCurrentLevel() const;
	bool						IsEnding() const;
	float						GetPercentOfLevelDone() const;
	bool						IsStarting() const;

private:
	float						m_counter;
	int							m_currentLevel;
	char						m_levelText[10];
};
