#include "LogoScreen.h"
#include "GraphicsSystem.h"
#include "ImageSprite.h"
#include "ImageConfig.h" // IMG_ID

LogoScreen::LogoScreen():
m_logoImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_LOGO))
{
	
}


LogoScreen::~LogoScreen()
{
}

void LogoScreen::Draw()
{
	GraphicsSystem::GetSingleton()->ClearScreenBufferWithBlack();

	// imagesprite is used in other places as well and it's coordinates might have changed
	// must ensure coordinates are centered before draw
	m_logoImgSpriteRef.SetScreenX( (float) SCREEN_WIDTH / 2.0f - (float) m_logoImgSpriteRef.GetWidth()/2.0f );
	m_logoImgSpriteRef.SetScreenY( (float) SCREEN_HEIGHT / 2.0f - (float) m_logoImgSpriteRef.GetHeight()/2.0f);
	m_logoImgSpriteRef.Draw();

	GraphicsSystem::GetSingleton()->ShowBufferedScreenOnDisplay();
}
