#include "MenuScreen.h"
#include "GraphicsSystem.h"
#include "ImageSprite.h"
#include "ImageConfig.h" // IMG_ID

MenuScreen::MenuScreen():
m_logoImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_LOGO)),
m_menuImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_MENU))
{

}


MenuScreen::~MenuScreen()
{
}

void MenuScreen::Draw()
{
	GraphicsSystem::GetSingleton()->ClearScreenBufferWithBlack();
	
	// imagesprite is used in other places as well and it's coordinates might have changed
	// must set to ensure coordinates are correct before draw
	m_logoImgSpriteRef.SetScreenX( (float) SCREEN_WIDTH / 2 - (float) m_logoImgSpriteRef.GetWidth()/2.0f );
	m_logoImgSpriteRef.SetScreenY( 35.0f );
	m_logoImgSpriteRef.Draw();

	m_menuImgSpriteRef.SetScreenX( (float) SCREEN_WIDTH / 2 - (float) m_menuImgSpriteRef.GetWidth()/2.0f );
	m_menuImgSpriteRef.SetScreenY( m_logoImgSpriteRef.GetScreenY() + m_logoImgSpriteRef.GetHeight() + 15.0f );
	m_menuImgSpriteRef.Draw();

	
	GraphicsSystem::GetSingleton()->ShowBufferedScreenOnDisplay();
}
