#include "MenuState.h"
#include "Timer.h"
#include "ScreenManager.h" // UI_SCREEN
#include <stdio.h>

MenuState::MenuState(StateKey stateKey, Timer& timer):
BaseState(stateKey, timer)
{
	m_nextState = STATE_NONE;
}

void MenuState::BeginState()
{
	printf("INFO: Beginning MenuState\n");
	ScreenManager::GetSingleton()->ShowScreen(SCREEN_MENU); // menu screen
}

void MenuState::Update(std::vector<Action*>& actionsRef)
{
	for (size_t i = 0; i < actionsRef.size(); i++)
	{
		switch(*(actionsRef[i])) { // front to back, overwrites with more recent actions
			case A_PLAY: m_nextState = STATE_PLAY; break;
			case A_CREDITS:  m_nextState = STATE_CREDITS; break;
			case A_INSTRUCTIONS:  m_nextState = STATE_INSTRUCTIONS; break;
			default: break; // not supported action
		}
	}

	m_timerRef.WaitSeconds(0.1f);	 // don't update all of the time
}

StateKey MenuState::DesiredStateChange() const
{
	return m_nextState; 
}

void MenuState::EndState()
{
	printf("INFO: Ending MenuState\n");
}

