#pragma once //microsoft-specific

#include "BaseState.h"

/**
* State showing menu and navigating towards play, credits, instruction and/or quitting.
*/
class MenuState :
	public BaseState
{
public:
								MenuState(StateKey stateKey, Timer& timer);

	// Override. Shows the menu screen.
	void						BeginState(); 

	// Override
	void 						EndState();

	// Implementation. Sets m_nextState depending on actions.
	// Can go to credits, play, instructions or quit
	void						Update(std::vector<Action*>& actionsRef);

	// Override. Will return new state (m_nextState) based upon actions given in Update
	StateKey					DesiredStateChange() const;

private:

	// Next state to be run after this one
	StateKey					m_nextState;
};

