#include "Meter.h"
#include "ImageConfig.h"
#include "GraphicsSystem.h"
#include "Globals.h" // SCREEN_HEIGHT & SCREEN_WIDTH
#include "ImageSprite.h"
#include "AssertButOnlyInDebug.h"

const float METER_INDICATOR_OPACITY = 0.73f;
const float METER_STRIP_OPACITY = 0.3f;

Meter::Meter():
m_meterStripImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_METER_STRIP)),
m_meterIndicatorImgSpriteRef(GraphicsSystem::GetSingleton()->GetImage(IMG_ID_SMALL_SHIP))
{


	m_meterStripImgSpriteRef.SetScreenX( ((GLfloat) SCREEN_WIDTH) / 2.0f - (GLfloat)m_meterStripImgSpriteRef.GetWidth() / 2.0f);
	m_meterStripImgSpriteRef.SetScreenY( (GLfloat) SCREEN_HEIGHT - m_meterIndicatorImgSpriteRef.GetHeight()); 
	m_meterStripImgSpriteRef.SetOpacity(METER_STRIP_OPACITY);

	ResetBeforeLevel();

	m_meterIndicatorImgSpriteRef.SetScreenY(m_meterStripImgSpriteRef.GetScreenY() + (GLfloat)m_meterStripImgSpriteRef.GetHeight() / 2.0f - (GLfloat) m_meterIndicatorImgSpriteRef.GetHeight() / 2.0f);
	m_meterIndicatorImgSpriteRef.SetOpacity(METER_INDICATOR_OPACITY);
}


Meter::~Meter()
{
}

void Meter::ResetBeforeLevel()
{
	m_meterIndicatorImgSpriteRef.SetScreenX(m_meterStripImgSpriteRef.GetScreenX() + ((GLfloat)m_meterStripImgSpriteRef.GetHeight() / 2.0f) - ((GLfloat) m_meterIndicatorImgSpriteRef.GetWidth() / 2.0f));
}
void Meter::Update(float percentOfLevelDone)
{
	assert(percentOfLevelDone >= 0.0f && "Cannot draw negative progress bar");
	// Updatign according to how many % of the map that are done
	m_meterIndicatorImgSpriteRef.SetScreenX(m_meterStripImgSpriteRef.GetScreenX() + percentOfLevelDone * (m_meterStripImgSpriteRef.GetWidth() - m_meterIndicatorImgSpriteRef.GetWidth() / 2.0f));
}
void Meter::Draw()
{
	m_meterStripImgSpriteRef.Draw();
	m_meterIndicatorImgSpriteRef.Draw();
}

