#pragma once //microsoft-specific

class ImageSprite; // forward declaration to speed up compilation

/**
* Represents a meter that shows how much of the level has been finished
* and how much is left. Update it with current progress before calling Draw.
*/
class Meter	
{
public:
								Meter();
								~Meter();
	void 						Draw();
	void 						Update(float percentOfLevelDone);
	void 						ResetBeforeLevel();

private:

	// Avoid assign of this class, it should not be used in that way
	Meter& 						operator=(const Meter& );

	ImageSprite&				m_meterStripImgSpriteRef;
	ImageSprite&				m_meterIndicatorImgSpriteRef;
};

