#pragma once //microsoft-specific

#include <vector>

// forward declaration to speed up compilation
class Rock;
class Galaxy;

/**
 * Factory for making rocks.
 * 
 * Takes no responsibility to destroy the rocks it creates and returns,
 * it is given to the galaxy specified as owner in function call.
 **/
class RockFactory
{
public:

	// Creates the given number of rocks of random types and adds them to the array given
	// Responsibility for deallocating them relies on the class calling this function
	static std::vector<Rock*>	CreateNewMixedRocks(int nrOfRocks, Galaxy& ownerRef);
};

