#include "ScreenState.h"
#include "Timer.h"

ScreenState::ScreenState(StateKey stateKey, Timer& timer, UI_SCREEN screen):
BaseState(stateKey, timer)
{
	m_screen = screen;
	m_bKeyWasPressed = false;
}

void ScreenState::BeginState()
{
	printf("INFO: Beginning ScreenState\n");
}

void ScreenState::Update(std::vector<Action*>& actionsRef)
{
	ScreenManager::GetSingleton()->ShowScreen(m_screen);					
	m_timerRef.WaitSeconds(0.01f);

	if (!actionsRef.empty())
	{
		m_bKeyWasPressed = true;
	}

}

StateKey ScreenState::DesiredStateChange() const 
{
	if (m_bKeyWasPressed) 
		return STATE_MENU;

	return STATE_NONE;
}

void ScreenState::EndState()
{
	printf("INFO: Ending ScreenState\n");
}