#pragma once //microsoft-specific

#include "BaseState.h"
#include "ScreenManager.h" // UI_SCREEN

/**
* Common class for game states that only consist of showing a screen 
* until a key is pressed
*/
class ScreenState :
	public BaseState
{
public:
	// screen should be the one that will be shown and updated in this state
								ScreenState(StateKey stateKey, Timer& timer, UI_SCREEN screen);

	// Implementation. Updates the current screen and registers whether a key was pressed (in that case, m_bKeyWasPressed is set)
	void 						Update(std::vector<Action*>& actionsRef); // implementing

	// Will listen to m_bKeyWasPressed and if it's set to true; return that it wants to go to STATE_MENU
	StateKey 					DesiredStateChange() const; // override

	// Override.
	void 						BeginState();

	// Override
	void 						EndState();

private:
	UI_SCREEN 					m_screen;	// UI_SCREEN to be shown in this state
	bool 						m_bKeyWasPressed; 
};

