#include "StateFactory.h"
#include "MenuState.h"
#include "ScreenState.h"
#include "PlayState.h"
#include "IntroState.h"
#include "ScreenManager.h" // UI_SCREEN
#include "AssertButOnlyInDebug.h"

StateFactory::StateFactory()
{
}

StateFactory::~StateFactory()
{
}

BaseState& StateFactory::GetNewState(StateKey state, Timer& timerRef) const
{
	switch(state) {
		case STATE_INTRO:  return *new IntroState(state, timerRef); break;
		case STATE_MENU: return *new MenuState(state, timerRef); break;
		case STATE_CREDITS: return *new ScreenState(state, timerRef, SCREEN_CREDITS); break;
		case STATE_INSTRUCTIONS: return *new ScreenState(state, timerRef, SCREEN_INSTRUCTIONS); break;
		case STATE_PLAY: return *new PlayState(state, timerRef); 
		default: assert(false && "StateFactory::GetNewState(StateKey stateKey): Asking to change for an unlisted state!");
			return *new MenuState(state, timerRef); break;
	}
}