#pragma once //microsoft-specific

#include "Globals.h" // StateKey

// forward declaration to speed up compilation
class Timer; 
class BaseState;

/**
 * The factory for making new states. Does not take responsibility for deallocation
 */
class StateFactory
{
public:
								StateFactory();
								~StateFactory();

	// Returns a new state of the kind specified. 
	// Remember to deallocate the data after use
	BaseState& 					GetNewState(StateKey state, Timer& timerRef) const; 

};
