#include "StoryScreen.h"
#include "GraphicsSystem.h"

StoryScreen::StoryScreen()
{
	m_header.push_back("Story");

	m_texts = GraphicsSystem::GetSingleton()->ReadTextFromFile(TEXT_ID_STORY); 
}


StoryScreen::~StoryScreen()
{
	m_header.clear();
	// m_texts is deallocated in automatically within TextSubSystem
}

void StoryScreen::Draw()
{
	GraphicsSystem::GetSingleton()->ClearScreenBufferWithBlack();
	
	float headerPosY = 50.0f;
	float textsPosY = 130.0f;
	float margin = 20.0f;

	DrawTextsOnScreen(m_header, FONT_SIZE_BIG, headerPosY, 0.0f);	
	DrawTextsOnScreen(m_texts, FONT_SIZE_SMALL, textsPosY, margin);

	FadingTextScreen::DrawFadingText();

	GraphicsSystem::GetSingleton()->ShowBufferedScreenOnDisplay();
}
