#pragma once //microsoft-specific

/**
* Configuration file for text resources.
* Add texts by adding a key (enum) mapped with its path. 
* An X-macro is then used to map the resource (enum) with its path string. 
* 
* Macros can be blunt and overwrite anything, don't have types, ignore scoping, 
* be hard to debug etc but this one is neat and I can stick to unique naming.
* 
* I consider it as good practice that the classes request resource by this ENUM and can't just type anything at any time. 
* Mistakes are usually found early at compile-time.
*/
#define TEXT_ID_AND_PATH_TABLE \
X(TEXT_ID_STORY,"resources/texts/story.txt") \
X(TEXT_ID_INSTRUCTIONS, "resources/texts/instructions.txt")


// X-macro for mapping enums for text resources together with their paths as strings
// Defining the enums below. The second part of the macro, the path definition, can be found in TextSubSystem
#define X(a, b) a,

	enum TEXT_ID 
	{
							TEXT_ID_AND_PATH_TABLE
	};

#undef X
