#include "Timer.h"
#include <time.h>
#include <SDL.h>
#include "AssertButOnlyInDebug.h"

enum { 
		FPS = 120 
};

Timer::Timer():
m_lastTimeMark((float) SDL_GetTicks()) 
{
	srand( (unsigned)time(NULL) ); // seeds random function for whole program
}

Timer::~Timer()
{
}

float Timer::SetNewTimerAndGetElapsedTime()
{
	float currentTime = (float) SDL_GetTicks();
	float elapsedTime = currentTime - m_lastTimeMark;
	m_lastTimeMark = currentTime;
	return elapsedTime;
}

void Timer::WaitSeconds(const float secs)
{
	assert(secs > 0.0f && "Cannot wait 0 or negative number of seconds");
	SDL_Delay( (Uint32) (1000.0f * secs)); // takes MS
}
